//
// Created by lukas on 10.11.20.
//

#pragma once

#include <Ticker.h>
#include <DHT.h>
#include "Pins.h"

class Heating {
public:
    Heating();

    void init(unsigned mode);

    float* getLastHum();
    float* getLastTemp();

    enum MODES {TIME, HUMIDITY};
private:
    Ticker mHeizungTicker;
    Ticker mLuefterTicker;
    Ticker mTurnOffTicker;

    bool mHeatingStatus;

    float lasttemp;
    float lasthum;

    DHT22 sensor;
};
